# Class pyglet.graphics.vertexdomain.VertexList

Known Subclasses:
  IndexedVertexList

A list of vertices within a VertexDomain. Use VertexDomain.create to construct this list.

## Methods

| __init__(self, domain, start, count)
int | get_size(self) Get the number of vertices in the list.
VertexDomain | get_domain(self) Get the domain this vertex list belongs to.
| draw(self, mode) Draw this vertex list in the given OpenGL mode.
| resize(self, count) Resize this group.
| delete(self) Delete this group.
| migrate(self, domain) Move this group from its current domain and add to the specified one.

## Properties

| colors Array of color data.
| fog_coords Array of fog coordinate data.
| edge_flags Array of edge flag data.
| normals Array of normal vector data.
| secondary_colors Array of secondary color data.
| tex_coords Array of texture coordinate data.
| vertices Array of vertex coordinate data.

## Method Details

### draw

draw(self, mode)
Draw this vertex list in the given OpenGL mode.

Parameters:
  mode : int
    OpenGL drawing mode, e.g. `GL_POINTS`, `GL_LINES`, etc.

### resize

resize(self, count)
Resize this group.

Parameters:
  count : int
    New number of vertices in the list.

### migrate

migrate(self, domain)
Move this group from its current domain and add to the specified one. Attributes on domains must match. (In practice, used to change parent state of some vertices).

Parameters:
  domain : VertexDomain
    Domain to migrate this vertex list to.

## Property Details

### colors

Array of color data.

### fog_coords

Array of fog coordinate data.

### edge_flags

Array of edge flag data.

### normals

Array of normal vector data.

### secondary_colors

Array of secondary color data.

### tex_coords

Array of texture coordinate data.

### vertices

Array of vertex coordinate data.